import 'package:flutter_custom_toolbox/flutter_toolbox.dart';

class DefaultActivitySettings {
  // available game parameters codes
  static const String parameterCodeTilesetSize = 'tilesetSize';
  static const String parameterCodeImageName = 'imageName';
  static const List<String> availableParameters = [
    parameterCodeTilesetSize,
    parameterCodeImageName,
  ];

  // tileset size: available values
  static const String tilesetSizeValueSmall = '3x3';
  static const String tilesetSizeValueMedium = '4x4';
  static const String tilesetSizeValueLarge = '5x5';
  static const List<String> allowedTilesetSizeValues = [
    tilesetSizeValueSmall,
    tilesetSizeValueMedium,
    tilesetSizeValueLarge,
  ];
  // tileset size: default value
  static const String defaultTilesetSizeValue = tilesetSizeValueMedium;

  // image name: available values
  static const String imageNameRandomlyPicked = 'random';
  static const List<String> allowedImageNameS = [
    imageNameRandomlyPicked,
  ];
  // image name: default value
  static const String defaultImageName = imageNameRandomlyPicked;

  // available values from parameter code
  static List<String> getAvailableValues(String parameterCode) {
    switch (parameterCode) {
      case parameterCodeTilesetSize:
        return DefaultActivitySettings.allowedTilesetSizeValues;
      case parameterCodeImageName:
        return DefaultActivitySettings.allowedImageNameS;
    }

    printlog('Did not find any available value for game parameter "$parameterCode".');
    return [];
  }
}
